Browse Source

fix: use pip3 to install ansible

tags/0.0.5^2
Julien Cabillot 5 months ago
parent
commit
e52083ecf1
Signed by: julien.cabillot <julien.cabillot@fxinnovation.com> GPG Key ID: 7E48074A18431329
2 changed files with 9 additions and 2 deletions
  1. +2
    -0
      CHANGELOG.md
  2. +7
    -2
      kitchen.yml

+ 2
- 0
CHANGELOG.md View File

@@ -2,6 +2,8 @@

## 0.0.5

* fix: use pip3 to install ansible
* chore: bump kitchen ansible to `2.9.17`
* chore: bump pre-commit hooks

## 0.0.4


+ 7
- 2
kitchen.yml View File

@@ -22,8 +22,13 @@ provisioner:
ansible_connection: "local"
ansible_verbose: false
ansible_verbosity: 2
require_pip: true
ansible_version: "2.7.18"
# Upgrading pip outside of the package manager is an ugly hack.
# It's mandatory because of pip cryptography: https://github.com/pyca/cryptography/issues/5753
# Another workaround would be to pip3 install cryptography==3.3.2
custom_pre_install_command: "sudo yum install -y python3-pip && sudo python3 -m pip install --prefix='/usr' -U pip"
require_pip3: true
ansible_binary_path: "/usr/local/bin"
ansible_version: "2.9.17"
idempotency_test: true
idempotency_skip_tags: ["kitchen_idempotency_skip_tag"]
require_chef_for_busser: false


Loading…
Cancel
Save